.TH CRCMAN 1L "29 April 1992"
.SH "NAME"
crcman \- checksum a directory
.SH "SYNOPSIS"
.B crcman
[
.BI \-b directory
]
.I crc_file_name
.SH "OPTIONS"
.\"=========================================================
.TP
.BI \-b directory
Specify the root of the directory tree to be
checksummed.  All files in all directories in the
tree below that point will be processed.
.SH "DESCRIPTION"
With the 
.B \-b
option, 
.B crcman
will create a file of 32-bit CRC checksums for all
files in the specified directory tree.  For each
file processed, the CRC file has a line with an
8-character hexadecimal checksum, a space, and the
filename.
.PP
With just a single file name on the command line, 
.B crcman
will verify the checksums of each file listed in
the CRC file.
.SH "SEE ALSO"
.IR checksum (1L),
.IR sum (1V).
.SH "AUTHOR"
.br
Mark R. Nelson
.br
Greenleaf Software
.br
16479 Dallas Parkway, Suite 570
.br
Dallas, TX 75248
.br
USA
.PP
Published in Mark R. Nelson, ``File Verification Using CRC'', Dr.
Dobb's Journal, #188, May 1992, pp. 64--67, 92--94.
